window.Gleam.initSearch([{"doc":"radish","title":"radish","content":"![radish](https://raw.githubusercontent.com/massivefermion/radish/main/banner.jpg)\n\n[![Package Version](https://img.shields.io/hexpm/v/radish)](https://hex.pm/packages/radish)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/radish/)\n\n# radish\n\nA Redis client for Gleam\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/radish/main/icon.png&quot;&gt; Quick start\n\n```sh\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/radish/main/icon.png&quot;&gt; Installation\n\n```sh\ngleam add radish\n```\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/radish/main/icon.png&quot;&gt; Usage\n\n```gleam\nimport gleam/option\nimport radish\n\npub fn main() {\n    let assert Ok(client) = radish.connect(&quot;localhost&quot;, 6379)\n\n    radish.set(client, &quot;requests&quot;, &quot;64&quot;, option.Some(60_000))\n    radish.decr(client, &quot;requests&quot;)\n}\n```","url":"index.html"},{"doc":"radish/error","title":"Error","content":"pub type Error {\n  RESPError\n  ConnectionError\n  TCPError(mug.Error)\n  ServerError(String)\n}\n\nRESPError\n\n\nConnectionError\n\n\nTCPError(mug.Error)\n\n\nServerError(String)\n\n\nSynonyms:\nradish/error.Error\nradish/error Error","url":"radish/error.html#Error"},{"doc":"radish/error","title":"radish/error","content":"","url":"radish/error.html"},{"doc":"radish","title":"connect","content":"pub fn connect(host: String, port: Int) -&gt; Result(Socket, Error)\n\nSynonyms:\nradish.connect\nradish connect","url":"radish.html#connect"},{"doc":"radish","title":"decr","content":"pub fn decr(socket: Socket, key: String) -&gt; Result(Int, Error)\n subtracts 1 from an integer and returns the new value\nSynonyms:\nradish.decr\nradish decr","url":"radish.html#decr"},{"doc":"radish","title":"decr_by","content":"pub fn decr_by(\n  socket: Socket,\n  key: String,\n  value: Int,\n) -&gt; Result(Int, Error)\n subtracts an arbitrary value from an integer and returns the new value\nSynonyms:\nradish.decr_by\nradish decr_by","url":"radish.html#decr_by"},{"doc":"radish","title":"del","content":"pub fn del(\n  socket: Socket,\n  keys: List(String),\n) -&gt; Result(Int, Error)\n\nSynonyms:\nradish.del\nradish del","url":"radish.html#del"},{"doc":"radish","title":"exists","content":"pub fn exists(\n  socket: Socket,\n  keys: List(String),\n) -&gt; Result(Int, Error)\n\nSynonyms:\nradish.exists\nradish exists","url":"radish.html#exists"},{"doc":"radish","title":"get","content":"pub fn get(socket: Socket, key: String) -&gt; Result(String, Error)\n\nSynonyms:\nradish.get\nradish get","url":"radish.html#get"},{"doc":"radish","title":"incr","content":"pub fn incr(socket: Socket, key: String) -&gt; Result(Int, Error)\n adds 1 to an integer and returns the new value\nSynonyms:\nradish.incr\nradish incr","url":"radish.html#incr"},{"doc":"radish","title":"incr_by","content":"pub fn incr_by(\n  socket: Socket,\n  key: String,\n  value: Int,\n) -&gt; Result(Int, Error)\n adds an arbitrary value to an integer and returns the new value\nSynonyms:\nradish.incr_by\nradish incr_by","url":"radish.html#incr_by"},{"doc":"radish","title":"incr_by_float","content":"pub fn incr_by_float(\n  socket: Socket,\n  key: String,\n  value: Float,\n) -&gt; Result(Float, Error)\n adds an arbitrary float value to a number and returns the new value\nSynonyms:\nradish.incr_by_float\nradish incr_by_float","url":"radish.html#incr_by_float"},{"doc":"radish","title":"keys","content":"pub fn keys(\n  socket: Socket,\n  pattern: String,\n) -&gt; Result(List(String), Error)\n\nSynonyms:\nradish.keys\nradish keys","url":"radish.html#keys"},{"doc":"radish","title":"set","content":"pub fn set(\n  socket: Socket,\n  key: String,\n  value: String,\n  ttl: Option(Int),\n) -&gt; Result(String, Error)\n\nSynonyms:\nradish.set\nradish set","url":"radish.html#set"},{"doc":"radish","title":"set_existing","content":"pub fn set_existing(\n  socket: Socket,\n  key: String,\n  value: String,\n  ttl: Option(Int),\n) -&gt; Result(String, Error)\n only sets a key if it already exists, returns the old value\nSynonyms:\nradish.set_existing\nradish set_existing","url":"radish.html#set_existing"},{"doc":"radish","title":"set_new","content":"pub fn set_new(\n  socket: Socket,\n  key: String,\n  value: String,\n  ttl: Option(Int),\n) -&gt; Result(String, Error)\n only sets a key if it does not already exist\nSynonyms:\nradish.set_new\nradish set_new","url":"radish.html#set_new"},{"doc":"radish","title":"radish","content":"","url":"radish.html"}]);